Learning Innovation Division

Hardware and Software Setup Requirements

>Return to Previous Page
The following information indicates minimum browser requirements and hardware requirements for the effective use of Blackboard. Your instructor may require additional software downloads and will indicate these requirements within his or her Blackboard course.

Hardware

In order to use Blackboard effectively, we would recommend using a computer that was purchased within the past three years. Older computers can work if they were upgraded appropriately.

The use of a 56Kbps dialup modem is required at a minimum. Students taking courses that include rich, multimedia downloads might benefit from using a DSL or Cable modem connection, but this is not presently required.

Software
We recommend the use of Internet Explorer version 6.0 or Netscape Navigator 7.0 for Blackboard (for PC users) since Blackboard tests and supports the use of these browsers. Other browsers may be used, but all features of Blackboard may not function properly if other browsers are used.

For Macintosh computer users, the supported operating systems currently include Mac OS 9.2, X.1, and X.2. Internet Explorer versions 5.1 and 5.2 are recommeded for Mac users along with Netscape Navigator version 7.0.

Getting Help
If you experience problems or have questions about required software or hardware for your course, contact your instructor. If you continue to have problems, please contact the Distance Learning office at 262-564-3202 or via e-mail at distancelearning@gtc.edu.


Contact Distance Learning
©2007 Gateway Technical College - Learning Innovation Division
Equal Opportunity/Access Educator/Employer